import Box from "../math/box";
import vec3 from "../math/vec3";
import quat from "../math/quat";
import { ObjectType } from "./object-type";
import { World } from "./world";
export declare class PhysicsObject {
    type: ObjectType;
    boundingBox: Box;
    rotation: quat;
    velocity: vec3;
    affectedByGravity: boolean;
    collides: boolean;
    isStatic: boolean;
    isDirty: boolean;
    collisionContacts: Set<PhysicsObject>;
    constructor();
    move(position: vec3): void;
    lookAt(position: vec3): void;
    collidesWith(obj: PhysicsObject): boolean;
    onCollision(obj: PhysicsObject, world: World): boolean;
    private checkCollisionContacts;
}
